stackPlot {waveslim} | R Documentation

## Stack Plot

### Description

Stack plot of an object. This function attempts to mimic a function called `stack.plot` in S+WAVELETS. It is mostly a hacked version of `plot.ts` in R.

### Usage

    stackPlot(x, plot.type = c("multiple", "single"), panel = lines,
        log = "", col = par("col"), bg = NA, pch = par("pch"), cex = par("cex"),
        lty = par("lty"), lwd = par("lwd"), ann = par("ann"), xlab = "Time",
        main = NULL, oma = c(6, 0, 5, 0), layout = NULL,
        same.scale = 1:dim(x)[2], ...)

### Arguments

`x` | `ts` object
`layout` | Doublet defining the dimension of the panel. If not specified, the dimensions are chosen automatically.
`same.scale` | Vector the same length as the number of series to be plotted. If not specified, all panels will have unique axes.
`plot.type,panel,log,col,bg,pch,cex,lty,lwd,ann,xlab,main,oma,...` | See `plot.ts`.

### Details

Produces a set of plots, one for each element (column) of `x`.

### Author(s)

Brandon Whitcher

[Package waveslim version 1.7.5.1 Index]